package com.wawrzek.fumbo.coordinator;

import jade.core.behaviours.*;
import jade.lang.acl.*;

/**
 * Behaviour that waits for new tasks from outside the Fumbo
 *  
 * @author Wawrzek
 */
public class TaskRequestLoop extends CyclicBehaviour
{

    /* (non-Javadoc)
     * @see jade.core.behaviours.Behaviour#action()
     */
    public void action()
    {
        MessageTemplate mt = MessageTemplate.MatchPerformative(ACLMessage.REQUEST);

        ACLMessage msg = myAgent.receive(mt);
        if (msg != null)
        {
            myAgent.addBehaviour(new NewTaskBehaviour(msg));
        }
        else
        {
            block();
        }
    }

}