package com.wawrzek.fumbo.core;

import org.apache.log4j.*;

import com.wawrzek.fumbo.*;

import jade.content.*;

/**
 * @author S.T.Garp
 * 
 * Class representing task that came form outside the Fumbo, and which will be
 * later sent back to Fumbo client.
 *  
 */
public class ExternalTask implements AgentAction
{
    /** rdql question */
    private String question;
    /** result set */
    private String resultSet;
    /** count of result set */
    private long resultCount;

    public ExternalTask()
    {

    }

    /**
     * @param question
     * @param resultSet
     */
    public ExternalTask(String question, String resultSet, long resultCount)
    {
        super();
        this.question = question;
        this.resultSet = resultSet;
        this.resultCount = resultCount;
    }

    public String getQuestion()
    {
        return question;
    }

    public void setQuestion(String question)
    {
        this.question = question;
    }

    public String getResultSet()
    {
        return resultSet;
    }

    public void setResultSet(String resultSet)
    {
        this.resultSet = resultSet;
    }

    public long getResultCount()
    {
        return resultCount;
    }

    public void setResultCount(long resultCount)
    {
        this.resultCount = resultCount;
    }
}