package com.wawrzek.fumbo.core.rulepart;

/**
 * Condition that is always fulfilled
 * 
 * @author Wawrzek
 *
 */
public class TrueCondition extends Condition
{
    public TrueCondition(String source)
    {
        super(source);
    }

    
    /* (non-Javadoc)
     * @see com.wawrzek.fumbo.core.rulepart.Condition#isTrue(java.lang.String, java.lang.String, java.lang.String)
     */
    public boolean isTrue(String question, String answer, String baseUri)
    {
        return true;
    }
    
    /* (non-Javadoc)
     * @see java.lang.Object#toString()
     */
    public String toString()
    {
        return "Condition: true";
    }
    
    /* (non-Javadoc)
     * @see java.lang.Object#equals(java.lang.Object)
     */
    public boolean equals(Object o)
    {
        if (o instanceof TrueCondition)
            return true;
        return false;
    }

}