package com.wawrzek.fumbo.worker;

import jade.core.behaviours.*;
import jade.lang.acl.*;

/**
 * @author wawrzek
 *
 * Behavior that waits for new requests - new task for worker to do.
 */
public class TaskRequestLoop extends CyclicBehaviour
{
    public void action()
    {
        MessageTemplate mt = MessageTemplate.MatchPerformative(ACLMessage.REQUEST);
        ACLMessage msg = myAgent.receive(mt);
        if (msg != null)
        {
            myAgent.addBehaviour(new ExpandResultSetBehaviour(msg));
        }
        else
        {
            block();
        }
    }
}
