package com.wawrzek.fumbo.gui;

import jade.util.leap.*;

import java.awt.event.*;
import java.beans.*;

import javax.swing.*;
import javax.swing.table.*;

import com.wawrzek.fumbo.*;

/**
 * @author Wawrzek
 *
 */
public class AgentUpAction implements Action
{
    private Coordinator coordinator;
    private JTable table;

    public AgentUpAction(Coordinator coordinator, JTable table) {
        this.coordinator = coordinator;
        this.table = table;
    }
    
    /* (non-Javadoc)
     * @see javax.swing.Action#isEnabled()
     */
    public boolean isEnabled()
    {
        return true;
    }

    /* (non-Javadoc)
     * @see javax.swing.Action#setEnabled(boolean)
     */
    public void setEnabled(boolean arg0)
    {
    }

    /* (non-Javadoc)
     * @see javax.swing.Action#addPropertyChangeListener(java.beans.PropertyChangeListener)
     */
    public void addPropertyChangeListener(PropertyChangeListener arg0)
    {
    }

    /* (non-Javadoc)
     * @see javax.swing.Action#removePropertyChangeListener(java.beans.PropertyChangeListener)
     */
    public void removePropertyChangeListener(PropertyChangeListener arg0)
    {
    }

    /* (non-Javadoc)
     * @see javax.swing.Action#getValue(java.lang.String)
     */
    public Object getValue(String ask)
    {
        if (ask.equals("Name"))
            return "Up";
        else
            return null;
    }

    /* (non-Javadoc)
     * @see javax.swing.Action#putValue(java.lang.String, java.lang.Object)
     */
    public void putValue(String arg0, Object arg1)
    {
    }

    /* (non-Javadoc)
     * @see java.awt.event.ActionListener#actionPerformed(java.awt.event.ActionEvent)
     */
    public void actionPerformed(ActionEvent arg0)
    {
        int selected = table.getSelectedRow();
        if (selected<=0) {
            return;
        }
        ArrayList list = coordinator.getAgentsManager().getList();
        Object o = list.get(selected);
        list.remove(selected);
        list.add(selected-1, o);
        AbstractTableModel atm = (AbstractTableModel)(table.getModel());
        atm.fireTableDataChanged();
        table.setRowSelectionInterval(selected-1,selected-1);
    }
}
