package com.wawrzek.fumbo.tests;
import java.io.*;

import junit.framework.*;

import com.wawrzek.fumbo.*;
import com.wawrzek.fumbo.coordinator.*;
import com.wawrzek.fumbo.core.*;
import com.wawrzek.fumbo.tools.*;
import com.wawrzek.fumbo.tools.basic.*;


/**
 * @author S.T.Garp
 *
 * To change the template for this generated type comment go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
public class AgentManagerTests extends TestCase
{
    private AgentsManager manager;

    public static void main(String[] args)
    {
        junit.swingui.TestRunner.run(AgentManagerTests.class);
    }

    /*
     * @see TestCase#setUp()
     */
    protected void setUp() throws Exception
    {
        super.setUp();
        Record config = new Record();
        config.read("cfg" + File.separator + "fumbo.cfg");
        manager = new AgentsManager(null, config.getString(Consts.FLD_RULEDIRECTORY));
    }

    /*
     * @see TestCase#tearDown()
     */
    protected void tearDown() throws Exception
    {
        super.tearDown();
    }

    public void testMakeNewAgents()
    {
        try
        {
            manager.makeNewAgents();
            int howManyAgents = manager.pingAllAgents();
            int howManyFiles = 10;
            assertEquals(howManyAgents, howManyFiles);
        }
        catch (AgentException e)
        {
            e.printStackTrace();
            assertTrue(false);
        }
    }

    public void testKillAllWorkers()
    {
  
    }

    public void testKillAbsentWorkers()
    {
     
    }

}
